/*
 * Copyright 1988, 1989, by Geoff Kuenning, Manhattan Beach, CA
 * Permission for non-profit use is hereby granted.
 * All other rights reserved.
 * See "version.h" for a more complete copyright notice.
 */

/*
 * $Id: atari.h,v 1.1 1993/04/30 21:25:33 bammi Exp $
 *
 * $Log: atari.h,v $
 * Revision 1.1  1993/04/30  21:25:33  bammi
 * V2
 *
 * Revision 1.5  91/08/10  14:09:39  geoff
 * Fix a truly tiny typo.
 * 
 * Revision 1.4  91/07/05  18:20:07  geoff
 * Fix the comment character in the Log
 * 
 * Revision 1.3  91/05/27  21:48:01  geoff
 * Add NO8BIT as a preferred default.
 * 
 * Revision 1.2  89/04/28  01:11:42  geoff
 * Change Header to Id;  nobody cares about my pathnames.
 * 
 * Revision 1.1  89/02/27  23:12:31  geoff
 * Initial revision
 * 
 */

/*
 * This file is a sample local.h file.  It shows what I believe nearly every
 * site will want to include in their local.h.  You will probably want to
 * expand this file;  see "config.X" to learn of #defines that you might
 * like to add to.
 */

#define CAPITALIZATION
#define MINIMENU
#define NO8BIT
#define HASHEXT ".hsh"

/* caution this file will be included when building the host .oo's
   too, and then it must reflect the hosts environment. all atarist
   specific stuff should go below
 */

#ifdef atarist
#define REGEX_LOOKUP
#include <regexp.h>
#define REGCMP(str)		regcomp ((str))
#define REGEX(re, str, dummy)	regexec ((re), (str), 0)
#define DEBUG(X) /* X */
#else
#define DEBUG(X) /* X */
#endif
